Skip to content

project/tags

Lists tags for one project.

Method and path

GET /project/tags/{project_id}

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tiers 1, 2, 3, and 4.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters

ParameterTypeRequiredDescription
project_idintegeryesProject identifier.

Example request

bash
curl "$SIGNAL_API_BASE_URL/project/tags/<project_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response

json
[
  {
    "id": 456,
    "label": "Example Tag",
    "alert_whitelist": 0,
    "public_tag": 1,
    "folder": {
      "id": 7,
      "label": "Example Folder"
    },
    "rules": [
      {
        "rule_id": 789,
        "tag": {
          "id": 456,
          "label": "Example Tag"
        },
        "tag_match_field": "post_text",
        "tag_match_rule": "contains",
        "tag_match_value": "example keyword"
      }
    ]
  }
]

Response fields

FieldTypeDescription
Response bodyarray<object>Collection of tags for the project.

Tag object fields

FieldTypeDescription
idintegerTag identifier.
labelstringTag label.
alert_whitelistintegerboolean
public_tagintegerboolean
folderobjectAssigned tag folder.
rulesarray<object>Tagging rules attached to this tag.

Notes

  • This endpoint returns a top-level array.
  • For tag write operations and rule management, see tag endpoints.

Doc rev.1.12.3 2026.05.08